#ifndef CALAMARIWINDOW_H
#define CALAMARIWINDOW_H

#include <QtGui/QMainWindow>

class DiffWidget;
class QComboBox;

class CalamariWindow : public QMainWindow
{
    Q_OBJECT

public:
    CalamariWindow(QWidget *parent = 0, Qt::WFlags flags = 0, char* file1 = 0, char* file2 = 0, char* file3 = 0);
    ~CalamariWindow();

private slots:
	void nil() {};
	void setAutoSize( bool auto );
	void setZoom( int factor );

private:
	void initDiffToolbar();

	DiffWidget* diffWidget;
	int zoomFactor;
	QComboBox* zoomList;
};

#define ZOOM_OFFSET 100

#endif // CALAMARIWINDOW_H
